Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.context.event
Interface OsgiBundleApplicationContextEventMulticaster

All Known Implementing Classes:
  OsgiBundleApplicationContextEventMulticasterAdapter

    public interface OsgiBundleApplicationContextEventMulticaster

Interface to be implemented by objects that can manage a number of `OsgiBundleApplicationContextListener`s, and publish events to them.

The contract of this interface is very similar to that of `ApplicationEventMulticaster` except the type of listeners this multicaster can handle. Different from the aforementioned class, this interface is used for broadcasting life cycle events of application contexts started inside an OSGi environment, to outside entities. This normally implies that the entities as well as the multicaster are not managed by the application context triggering the event (so that a destruction event can be properly propagated).

Author:
  Costin Leau
See Also:
  `ApplicationEventMulticaster`

Method Summary
`void` | `addApplicationListener(OsgiBundleApplicationContextListener osgiListener)` Add an OSGi listener to be notified of all events.
`void` | `multicastEvent(OsgiBundleApplicationContextEvent osgiListener)` Multicast the given application event to appropriate listeners.
`void` | `removeAllListeners()` Remove all listeners registered with this multicaster.
`void` | `removeApplicationListener(OsgiBundleApplicationContextListener osgiListener)` Remove an OSGi listener from the notification list.

Method Detail

### addApplicationListener

    void addApplicationListener(OsgiBundleApplicationContextListener osgiListener)

  Add an OSGi listener to be notified of all events.

  Parameters:
    `osgiListener` - the listener to add

### removeApplicationListener

    void removeApplicationListener(OsgiBundleApplicationContextListener osgiListener)

  Remove an OSGi listener from the notification list.

  Parameters:
    `osgiListener` - the listener to remove

### removeAllListeners

    void removeAllListeners()

  Remove all listeners registered with this multicaster. It will perform no action on event notification until more listeners are registered.

### multicastEvent

    void multicastEvent(OsgiBundleApplicationContextEvent osgiListener)

  Multicast the given application event to appropriate listeners.

  Parameters:
    `osgiListener` - the event to multicast

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.